> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Multiple Token Prices

> Similar to GET /price/multi, but accepts an array of token addresses in the request body



## OpenAPI

````yaml /data-api/openapi.json post /price/multi
openapi: 3.1.0
info:
  title: Solana Tracker Data API
  description: >-
    Solana Tracker Data API for token prices, holders, trades, charts, wallet
    data, risk signals, and market analytics.
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: Production server
security:
  - apiKey: []
paths:
  /price/multi:
    post:
      tags:
        - Price
      summary: Post Multiple Token Prices
      description: >-
        Similar to GET /price/multi, but accepts an array of token addresses in
        the request body
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tokens:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/PriceResponse'
              example:
                HEZ6KcNNUKaWvUCBEe4BtfoeDHEHPkCHY9JaDNqrpump:
                  price: 0.000021934650668759846
                  priceQuote: 1.208617203224043e-7
                  liquidity: 29081.321914523014
                  marketCap: 21330.314314819956
                  lastUpdated: 1760274132867
components:
  schemas:
    PriceResponse:
      type: object
      properties:
        price:
          type: number
        liquidity:
          type: number
        marketCap:
          type: number
        lastUpdated:
          type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````